<?php
namespace Models;

// Модель с ошибками и сообщениями
class Messages {

	// данные о страницах
	function page_data($page) {
		$pages=array(
			'continue'=>array(
				'title'=>'Продолжить?',
				'inc'=>'messages_continue.htm'
			),
			'error'=>array(
				'title'=>'Возникла ошибка',
				'inc'=>'messages_error.htm'
			)
		);
		$pages[$page]['page']=$page;

		return $pages[$page];
	}

	function message($txt) {
		$inc=0;
		$incs=array(
			array('inc'=>'error.htm', 'title'=>'Ошибка'),
			array('inc'=>'message.htm', 'title'=>''),
		);
		$txts=array(
			'error'=>array('txt'=>'Неизвестная ошибка', 'inc'=>0),
			'i_am_teapot'=>array('txt'=>'Я чайник, а может быть кофейник, еще не определился', 'inc'=>0),
			'cashbox_users_not_found'=>array('txt'=>'В системе Агорта не указаны пользователи Кассы', 'inc'=>0),
			'db_error'=>array('txt'=>'Ошибка базы данных', 'inc'=>0),
			'save_usergroups_error'=>array('txt'=>'Ошибка при сохранении групп пользователей', 'inc'=>0),
			'save_users_error'=>array('txt'=>'Ошибка при сохранении пользователей', 'inc'=>0),
			'file_is_not_delete'=>array('txt'=>'Не удалось удалить файл', 'inc'=>0),
			'not_enough_data'=>array('txt'=>'Не хвататет данных', 'inc'=>0),
			'user_not_found'=>array('txt'=>'Пользователь не найден', 'inc'=>0),
			'pass_incorrect'=>array('txt'=>'Неверный пароль', 'inc'=>0),
			'autorization_is_already_done'=>array('txt'=>'Вход в данную учетную запись уже был выполнен.', 'inc'=>0),
			'access_closed'=>array('txt'=>'Доступ закрыт', 'inc'=>0),
			'not_found'=>array('txt'=>'Ничего не найдено', 'inc'=>0, 'close'=>true),
			'lines_not_found'=>array('txt'=>'В чеке нет товаров', 'inc'=>0, 'close'=>true),
			'incorrect_discount'=>array('txt'=>'Значение скидки должно быть от 0 до 100', 'inc'=>0, 'close'=>true),
			'incorrect_email_or_phone'=>array('txt'=>'Некорректно введен e-mail (address@domen.ru) или телефон (+79110001122)', 'inc'=>0, 'close'=>true),
			'incorrect_auto_logout'=>array('txt'=>'Время автоматического выхода должно быть больше или равно 0', 'inc'=>0, 'close'=>true),
			'no_synchronization_required'=>array('txt'=>'Синхронизация не требуется', 'inc'=>0),
			'sync_is_already_running'=>array('txt'=>'Синхронизация уже запущена', 'inc'=>0),
			'sync_is_running'=>array('txt'=>'Идет синхронизация кассы. Ждите.', 'inc'=>0),
			'kkm_is_not_activity'=>array('txt'=>'Работа с ККМ отключена в настройках', 'inc'=>0),
			'change_not_open'=>array('txt'=>'Нет открытых смен', 'inc'=>0),
			'change_open'=>array('txt'=>'Смена уже открыта', 'inc'=>0),
			'fr_only'=>array('txt'=>'Недоступно для установленного типа ККМ', 'inc'=>0),
			'vat_not_null'=>array('txt'=>'Номер налога не может быть равным 0', 'inc'=>0),
			'room_is_exists'=>array('txt'=>'Такой зал уже существует', 'inc'=>0),
			'room_is_not_empty'=>array('txt'=>'Зал не может быть удален, пока в нем установлены столы', 'inc'=>0),
			'place_taken'=>array('txt'=>'Это место уже занято', 'inc'=>0),
			'table_is_exists'=>array('txt'=>'Такой стол уже существует', 'inc'=>0),
			'table_is_not_empty'=>array('txt'=>'Стол не может быть удален, пока у него есть открытые чеки', 'inc'=>0),
			'loading'=>array('txt'=>'Загрузка...', 'inc'=>1),
			'login_successful'=>array('txt'=>'Авторизация прошла успешно', 'inc'=>1),
			'success'=>array('txt'=>'Успешно выполнено', 'inc'=>1),
			'logout_successful'=>array('txt'=>'Выход совершен', 'inc'=>1),
			'save_successful'=>array('txt'=>'Успешно сохранено', 'inc'=>1),
			'delete_successful'=>array('txt'=>'Успешно удалено', 'inc'=>1),
			'update'=>array('txt'=>'Обновлено '.date('d.m.Y H:i:s').'. Загрузка...', 'inc'=>1),
			'change_is_open'=>array('txt'=>'Смена открыта', 'inc'=>1),
			'change_is_close'=>array('txt'=>'Смена закрыта', 'inc'=>1),
			'x-report_is_ready'=>array('txt'=>'X-отчет сформирован', 'inc'=>1),
			'report_is_ready'=>array('txt'=>'Отчет сформирован', 'inc'=>1),
			'print_continue'=>array('txt'=>'Печать продолжена', 'inc'=>1),
			'request_has_been_sent'=>array('txt'=>'Запрос отправлен', 'inc'=>1),
			'ticket_reset'=>array('txt'=>'Чек аннулирован', 'inc'=>1),
			'success_products_synchronization'=>array('txt'=>'Товары и категории успешно синхронизированы', 'inc'=>1),
			'success_users_synchronization'=>array('txt'=>'Пользователи успешно синхронизированы', 'inc'=>1),
			'success_tickets_synchronization'=>array('txt'=>'Чеки успешно синхронизированы', 'inc'=>1),
			'success_partners_synchronization'=>array('txt'=>'Клиенты успешно синхронизированы', 'inc'=>1),
			'success_loyalty_synchronization'=>array('txt'=>'Программы лояльности успешно синхронизированы', 'inc'=>1),
			'successfully_added_fiscalization'=>array('txt'=>'Документы на фискализацию успешно добавлены', 'inc'=>1),
			'not_remote_fiscalization'=>array('txt'=>'Нет документов для удаленной фискализации', 'inc'=>1),
			'fiscalization_successful'=>array('txt'=>'Успешно фискализированно', 'inc'=>1),
		);

		if(isset($txts[$txt])) {
			$inc=$txts[$txt]['inc'];
			$close=$txts[$txt]['close'];
			$txt=$txts[$txt]['txt'];
		}

		return array(
			'txt'=>$txt,
			'title'=>$incs[$inc]['title'],
			'inc'=>$incs[$inc]['inc'],
			'close'=>$close
		);
	}
}
